import { buildTx } from "../../../../helper-func-types";
import { toEncoders, toConverters } from "@interchainjs/cosmos/utils";
import { MsgChannelOpenInit, MsgChannelOpenTry, MsgChannelOpenAck, MsgChannelOpenConfirm, MsgChannelCloseInit, MsgChannelCloseConfirm, MsgRecvPacket, MsgTimeout, MsgTimeoutOnClose, MsgAcknowledgement, MsgChannelUpgradeInit, MsgChannelUpgradeTry, MsgChannelUpgradeAck, MsgChannelUpgradeConfirm, MsgChannelUpgradeOpen, MsgChannelUpgradeTimeout, MsgChannelUpgradeCancel, MsgUpdateParams, MsgPruneAcknowledgements } from "./tx";
export const createChannelOpenInit = (clientResolver) => buildTx({
    clientResolver,
    typeUrl: MsgChannelOpenInit.typeUrl,
    encoders: toEncoders(MsgChannelOpenInit),
    converters: toConverters(MsgChannelOpenInit)
});
export const createChannelOpenTry = (clientResolver) => buildTx({
    clientResolver,
    typeUrl: MsgChannelOpenTry.typeUrl,
    encoders: toEncoders(MsgChannelOpenTry),
    converters: toConverters(MsgChannelOpenTry)
});
export const createChannelOpenAck = (clientResolver) => buildTx({
    clientResolver,
    typeUrl: MsgChannelOpenAck.typeUrl,
    encoders: toEncoders(MsgChannelOpenAck),
    converters: toConverters(MsgChannelOpenAck)
});
export const createChannelOpenConfirm = (clientResolver) => buildTx({
    clientResolver,
    typeUrl: MsgChannelOpenConfirm.typeUrl,
    encoders: toEncoders(MsgChannelOpenConfirm),
    converters: toConverters(MsgChannelOpenConfirm)
});
export const createChannelCloseInit = (clientResolver) => buildTx({
    clientResolver,
    typeUrl: MsgChannelCloseInit.typeUrl,
    encoders: toEncoders(MsgChannelCloseInit),
    converters: toConverters(MsgChannelCloseInit)
});
export const createChannelCloseConfirm = (clientResolver) => buildTx({
    clientResolver,
    typeUrl: MsgChannelCloseConfirm.typeUrl,
    encoders: toEncoders(MsgChannelCloseConfirm),
    converters: toConverters(MsgChannelCloseConfirm)
});
export const createRecvPacket = (clientResolver) => buildTx({
    clientResolver,
    typeUrl: MsgRecvPacket.typeUrl,
    encoders: toEncoders(MsgRecvPacket),
    converters: toConverters(MsgRecvPacket)
});
export const createTimeout = (clientResolver) => buildTx({
    clientResolver,
    typeUrl: MsgTimeout.typeUrl,
    encoders: toEncoders(MsgTimeout),
    converters: toConverters(MsgTimeout)
});
export const createTimeoutOnClose = (clientResolver) => buildTx({
    clientResolver,
    typeUrl: MsgTimeoutOnClose.typeUrl,
    encoders: toEncoders(MsgTimeoutOnClose),
    converters: toConverters(MsgTimeoutOnClose)
});
export const createAcknowledgement = (clientResolver) => buildTx({
    clientResolver,
    typeUrl: MsgAcknowledgement.typeUrl,
    encoders: toEncoders(MsgAcknowledgement),
    converters: toConverters(MsgAcknowledgement)
});
export const createChannelUpgradeInit = (clientResolver) => buildTx({
    clientResolver,
    typeUrl: MsgChannelUpgradeInit.typeUrl,
    encoders: toEncoders(MsgChannelUpgradeInit),
    converters: toConverters(MsgChannelUpgradeInit)
});
export const createChannelUpgradeTry = (clientResolver) => buildTx({
    clientResolver,
    typeUrl: MsgChannelUpgradeTry.typeUrl,
    encoders: toEncoders(MsgChannelUpgradeTry),
    converters: toConverters(MsgChannelUpgradeTry)
});
export const createChannelUpgradeAck = (clientResolver) => buildTx({
    clientResolver,
    typeUrl: MsgChannelUpgradeAck.typeUrl,
    encoders: toEncoders(MsgChannelUpgradeAck),
    converters: toConverters(MsgChannelUpgradeAck)
});
export const createChannelUpgradeConfirm = (clientResolver) => buildTx({
    clientResolver,
    typeUrl: MsgChannelUpgradeConfirm.typeUrl,
    encoders: toEncoders(MsgChannelUpgradeConfirm),
    converters: toConverters(MsgChannelUpgradeConfirm)
});
export const createChannelUpgradeOpen = (clientResolver) => buildTx({
    clientResolver,
    typeUrl: MsgChannelUpgradeOpen.typeUrl,
    encoders: toEncoders(MsgChannelUpgradeOpen),
    converters: toConverters(MsgChannelUpgradeOpen)
});
export const createChannelUpgradeTimeout = (clientResolver) => buildTx({
    clientResolver,
    typeUrl: MsgChannelUpgradeTimeout.typeUrl,
    encoders: toEncoders(MsgChannelUpgradeTimeout),
    converters: toConverters(MsgChannelUpgradeTimeout)
});
export const createChannelUpgradeCancel = (clientResolver) => buildTx({
    clientResolver,
    typeUrl: MsgChannelUpgradeCancel.typeUrl,
    encoders: toEncoders(MsgChannelUpgradeCancel),
    converters: toConverters(MsgChannelUpgradeCancel)
});
export const createUpdateChannelParams = (clientResolver) => buildTx({
    clientResolver,
    typeUrl: MsgUpdateParams.typeUrl,
    encoders: toEncoders(MsgUpdateParams),
    converters: toConverters(MsgUpdateParams)
});
export const createPruneAcknowledgements = (clientResolver) => buildTx({
    clientResolver,
    typeUrl: MsgPruneAcknowledgements.typeUrl,
    encoders: toEncoders(MsgPruneAcknowledgements),
    converters: toConverters(MsgPruneAcknowledgements)
});
